Index: azure_iot_hub/trunk/asp3_dcre/mbed/target/mbed_api.c
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/mbed/target/mbed_api.c	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/mbed/target/mbed_api.c	(revision 389)
@@ -1,50 +1,35 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  *
  *  Copyright (C) 2014-2018 Cores Co., Ltd. Japan
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  *
  *  @(#) $Id$
@@ -64,5 +49,5 @@
 #include "scif.h"
 
- /* PWMåºå(490Hz) */
+ /* PWM出力(490Hz) */
 #define TPU_BASE_COUNTER	(48000000 / 4 / 490)
 
@@ -136,6 +121,5 @@
 		return E_OK;
 
-	/* æ±ç¨å
-¥åºåãã¼ãã«è¨­å® */
+	/* 汎用入出力ポートに設定 */
 	switch (pin) {
 	case D0:
@@ -175,7 +159,7 @@
 	}
 
-	/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® PFSWEãããã¸ã®æ¸ãè¾¼ã¿ãè¨±å¯ */
+	/* 書き込みプロテクトレジスタの設定 PFSWEビットへの書き込みを許可 */
 	sil_wrb_mem(MPC_PWPR_ADDR, 0x00);
-	/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® PxxFSã¬ã¸ã¹ã¿ã¸ã®æ¸ãè¾¼ã¿ãè¨±å¯ */
+	/* 書き込みプロテクトレジスタの設定 PxxFSレジスタへの書き込みを許可 */
 	sil_wrb_mem(MPC_PWPR_ADDR, 0x40);
 
@@ -184,9 +168,9 @@
 	case D0:
 		if (gpio) {
-			/* P21ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ P21ã¨ãã */
+			/* P21端子機能制御レジスタ P21とする */
 			sil_wrb_mem(MPC_P21PFS_ADDR, 0x00);
 		}
 		else {
-			/* P21ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ TIOCA3ã¨ãã */
+			/* P21端子機能制御レジスタ TIOCA3とする */
 			sil_wrb_mem(MPC_P21PFS_ADDR, 0x03);
 		}
@@ -196,9 +180,9 @@
 	case D1:
 		if (gpio) {
-			/* P20ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ P20ã¨ãã */
+			/* P20端子機能制御レジスタ P20とする */
 			sil_wrb_mem(MPC_P20PFS_ADDR, 0x00);
 		}
 		else {
-			/* P20ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ TIOCB3ã¨ãã */
+			/* P20端子機能制御レジスタ TIOCB3とする */
 			sil_wrb_mem(MPC_P20PFS_ADDR, 0x03);
 		}
@@ -208,9 +192,9 @@
 	case D2:
 		if (gpio) {
-			/* P22ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ P22ã¨ãã */
+			/* P22端子機能制御レジスタ P22とする */
 			sil_wrb_mem(MPC_P22PFS_ADDR, 0x00);
 		}
 		else {
-			/* P22ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ TIOCC3ã¨ãã */
+			/* P22端子機能制御レジスタ TIOCC3とする */
 			sil_wrb_mem(MPC_P22PFS_ADDR, 0x03);
 		}
@@ -220,9 +204,9 @@
 	case D3:
 		if (gpio) {
-			/* P23ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ P23ã¨ãã */
+			/* P23端子機能制御レジスタ P23とする */
 			sil_wrb_mem(MPC_P23PFS_ADDR, 0x00);
 		}
 		else {
-			/* P23ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ TIOCD3ã¨ãã */
+			/* P23端子機能制御レジスタ TIOCD3とする */
 			sil_wrb_mem(MPC_P23PFS_ADDR, 0x03);
 		}
@@ -232,9 +216,9 @@
 	case D4:
 		if (gpio) {
-			/* P24ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ P24ã¨ãã */
+			/* P24端子機能制御レジスタ P24とする */
 			sil_wrb_mem(MPC_P24PFS_ADDR, 0x00);
 		}
 		else {
-			/* P24ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ TIOCB4ã¨ãã */
+			/* P24端子機能制御レジスタ TIOCB4とする */
 			sil_wrb_mem(MPC_P24PFS_ADDR, 0x03);
 		}
@@ -244,9 +228,9 @@
 	case D5:
 		if (gpio) {
-			/* P25ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ P25ã¨ãã */
+			/* P25端子機能制御レジスタ P25とする */
 			sil_wrb_mem(MPC_P25PFS_ADDR, 0x00);
 		}
 		else {
-			/* P25ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ TIOCA4ã¨ãã */
+			/* P25端子機能制御レジスタ TIOCA4とする */
 			sil_wrb_mem(MPC_P25PFS_ADDR, 0x03);
 		}
@@ -256,9 +240,9 @@
 	case D6:
 		if (gpio) {
-			/* P32ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ P32ã¨ãã */
+			/* P32端子機能制御レジスタ P32とする */
 			sil_wrb_mem(MPC_P32PFS_ADDR, 0x00);
 		}
 		else {
-			/* P32ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ TIOCC0ã¨ãã */
+			/* P32端子機能制御レジスタ TIOCC0とする */
 			sil_wrb_mem(MPC_P32PFS_ADDR, 0x03);
 		}
@@ -268,9 +252,9 @@
 	case D7:
 		if (gpio) {
-			/* P33ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ P33ã¨ãã */
+			/* P33端子機能制御レジスタ P33とする */
 			sil_wrb_mem(MPC_P33PFS_ADDR, 0x00);
 		}
 		else {
-			/* P33ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ TIOCD0ã¨ãã */
+			/* P33端子機能制御レジスタ TIOCD0とする */
 			sil_wrb_mem(MPC_P33PFS_ADDR, 0x03);
 		}
@@ -281,8 +265,8 @@
 	}
 
-	/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® æ¸ãè¾¼ã¿ãç¦æ­¢ */
+	/* 書き込みプロテクトレジスタの設定 書き込みを禁止 */
 	sil_wrb_mem(MPC_PWPR_ADDR, 0x80);
 
-	/* æ©è½ãã¼ãã«è¨­å® */
+	/* 機能ポートに設定 */
 	if (!gpio) {
 		switch (pin) {
@@ -427,6 +411,5 @@
 void gpio_mode(gpio_t *obj, PinMode mode)
 {
-	/* æ±ç¨å
-¥åºåãã¼ãã«è¨­å® */
+	/* 汎用入出力ポートに設定 */
 	change_pin_function(obj->pin, true);
 
@@ -438,6 +421,5 @@
 void gpio_dir(gpio_t *obj, PinDirection direction)
 {
-	/* æ±ç¨å
-¥åºåãã¼ãã«è¨­å® */
+	/* 汎用入出力ポートに設定 */
 	change_pin_function(obj->pin, true);
 
@@ -614,16 +596,15 @@
 {
 	/*
-	* ã¢ã¸ã¥ã¼ã«ã¹ãããæ©è½ã®è¨­å®(S12AD)
+	* モジュールストップ機能の設定(S12AD)
 	*/
-	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA502);	/* æ¸è¾¼ã¿è¨±å¯ */
+	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA502);	/* 書込み許可 */
 	sil_wrw_mem(SYSTEM_MSTPCRA_ADDR,
 		sil_rew_mem(SYSTEM_MSTPCRA_ADDR) & ~SYSTEM_MSTPCRA_MSTPA17_BIT);
-	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA500);	/* æ¸è¾¼ã¿ç¦æ­¢ */
-
-	/* 12bitADCåæå */
-	sil_wrh_mem(S12AD_ADEXICR_ADDR, 0x0000);	/* æ¸©åº¦ã»ã³ãµåºåãå
-é¨åºæºé»å§éé¸æ */
-	sil_wrh_mem(S12AD_ADANS0_ADDR, 0x00FF);		/* å¤æãã¼ãAN000ï½AN007é¸æãAN008ï½AN015éé¸æ */
-	sil_wrh_mem(S12AD_ADANS1_ADDR, 0x0000);		/* å¤æãã¼ãAN016ï½AN020éé¸æ */
+	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA500);	/* 書込み禁止 */
+
+	/* 12bitADC初期化 */
+	sil_wrh_mem(S12AD_ADEXICR_ADDR, 0x0000);	/* 温度センサ出力、内部基準電圧非選択 */
+	sil_wrh_mem(S12AD_ADANS0_ADDR, 0x00FF);		/* 変換ポートAN000～AN007選択、AN008～AN015非選択 */
+	sil_wrh_mem(S12AD_ADANS1_ADDR, 0x0000);		/* 変換ポートAN016～AN020非選択 */
 }
 
@@ -687,5 +668,5 @@
 	int i;
 
-	/* ADCã®å¤æçµæåå¾ */
+	/* ADCの変換結果取得 */
 	if ((sil_reb_mem(S12AD_ADCSR_ADDR) & S12AD_ADCSR_ADST_BIT) == 0) {
 		for (i = 0; i < 8; i++) {
@@ -701,5 +682,5 @@
 		}
 
-		/* å¤æéå§ï¼ã·ã³ã°ã«ã¹ã­ã£ã³ã¢ã¼ãï¼ */
+		/* 変換開始（シングルスキャンモード） */
 		sil_wrb_mem(S12AD_ADCSR_ADDR, S12AD_ADCSR_ADST_BIT);
 	}
@@ -716,11 +697,11 @@
 void pwmout_init(pwmout_t* obj, PinName pin)
 {
-	/* PWMåºå(490Hz) */
-	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA502);	/* æ¸è¾¼ã¿è¨±å¯ */
+	/* PWM出力(490Hz) */
+	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA502);	/* 書込み許可 */
 	sil_wrw_mem(SYSTEM_MSTPCRA_ADDR,
-		sil_rew_mem(SYSTEM_MSTPCRA_ADDR) & ~SYSTEM_MSTPCRA_MSTPA13_BIT); /* TPU0ï½TPU5 */
-	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA500);	/* æ¸è¾¼ã¿ç¦æ­¢ */
-
-	/* ã«ã¦ã³ã¿ã¯ã­ãã¯ã®é¸æãã«ã¦ã³ã¿ã¯ãªã¢è¦å ã®é¸æ */
+		sil_rew_mem(SYSTEM_MSTPCRA_ADDR) & ~SYSTEM_MSTPCRA_MSTPA13_BIT); /* TPU0～TPU5 */
+	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA500);	/* 書込み禁止 */
+
+	/* カウンタクロックの選択、カウンタクリア要因の選択 */
 	sil_wrb_mem(TPU0_TCR_ADDR, (1 << TPU_TCR_TPSC_OFFSET) | (1 << TPU_TCR_CKEG_OFFSET)
 		| (1 << TPU_TCR_CCLR_OFFSET));
@@ -729,10 +710,10 @@
 	sil_wrb_mem(TPU4_TCR_ADDR, (1 << TPU_TCR_TPSC_OFFSET) | (1 << TPU_TCR_CKEG_OFFSET)
 		| (3 << TPU_TCR_CCLR_OFFSET));
-	/* æ³¢å½¢åºåã¬ãã«ã®é¸æ */
+	/* 波形出力レベルの選択 */
 	sil_wrb_mem(TPU0_TIORL_ADDR, (5 << TPU_TIORL_IOC_OFFSET) | (5 << TPU_TIORL_IOD_OFFSET));
 	sil_wrb_mem(TPU3_TIORH_ADDR, (5 << TPU_TIORH_IOA_OFFSET) | (5 << TPU_TIORH_IOB_OFFSET));
 	sil_wrb_mem(TPU3_TIORL_ADDR, (5 << TPU_TIORL_IOC_OFFSET) | (5 << TPU_TIORL_IOD_OFFSET));
 	sil_wrb_mem(TPU4_TIOR_ADDR, (5 << TPU_TIOR_IOA_OFFSET) | (5 << TPU_TIOR_IOB_OFFSET));
-	/* TGRyã®è¨­å® */
+	/* TGRyの設定 */
 	sil_wrh_mem(TPU0_TGRA_ADDR, TPU_BASE_COUNTER);
 	sil_wrh_mem(TPU0_TGRC_ADDR, 0);
@@ -744,11 +725,11 @@
 	sil_wrh_mem(TPU4_TGRA_ADDR, 0);
 	sil_wrh_mem(TPU4_TGRB_ADDR, 0);
-	/* PWMã¢ã¼ã2ã®è¨­å® */
+	/* PWMモード2の設定 */
 	sil_wrb_mem(TPU0_TMDR_ADDR, 3);
 	sil_wrb_mem(TPU3_TMDR_ADDR, 3);
 	sil_wrb_mem(TPU4_TMDR_ADDR, 3);
-	/* åæåä½è¨­å® */
+	/* 同期動作設定 */
 	sil_wrb_mem(TPUA_TSYR_ADDR, TPU_TSYR_SYNC0_BIT | TPU_TSYR_SYNC3_BIT | TPU_TSYR_SYNC4_BIT);
-	/* ã«ã¦ã³ãåä½éå§ */
+	/* カウント動作開始 */
 	sil_wrb_mem(TPUA_TSTR_ADDR, TPU_TSTR_CST0_BIT | TPU_TSTR_CST3_BIT | TPU_TSTR_CST4_BIT);
 }
@@ -756,5 +737,5 @@
 void pwmout_free(pwmout_t* obj)
 {
-	/* ã«ã¦ã³ãåä½çµäº */
+	/* カウント動作終了 */
 	sil_wrb_mem(TPUA_TSTR_ADDR, 0);
 }
@@ -778,13 +759,12 @@
 {
 	/*
-	 *  ã¢ã¸ã¥ã¼ã«ã¹ãããæ©è½ã®è¨­å®
+	 *  モジュールストップ機能の設定
 	 */
-	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA502);	/* æ¸è¾¼ã¿è¨±å¯ */
+	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA502);	/* 書込み許可 */
 	sil_wrw_mem(SYSTEM_MSTPCRB_ADDR,
 		sil_rew_mem(SYSTEM_MSTPCRB_ADDR) & ~SCI_MSTPCRB_BIT(base_address));
-	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA500);	/* æ¸è¾¼ã¿ç¦æ­¢ */
-
-	/* éåä¿¡ç¦æ­¢, SCKnç«¯å­ã¯å
-¥åºåãã¼ãã¨ãã¦ä½¿ç¨ */
+	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA500);	/* 書込み禁止 */
+
+	/* 送受信禁止, SCKn端子は入出力ポートとして使用 */
 	sil_wrb_mem(SCI_SCR(base_address), 0x00U);
 
@@ -794,12 +774,10 @@
 		switch (mode) {
 		case sciSerial:
-			/* HIGHç¶æ
-ã«è¨­å® */
+			/* HIGH状態に設定 */
 			sil_wrb_mem(PORT2_PODR_ADDR,
 				sil_reb_mem(PORT2_PODR_ADDR) | PORT_PODR_B0_BIT | PORT_PODR_B1_BIT);
-			/* TXåºå/RXå
-¥åãã¼ãè¨­å® */
+			/* TX出力/RX入力ポート設定 */
 			sil_wrb_mem(PORT2_PDR_ADDR, (sil_reb_mem(PORT2_PDR_ADDR) | PORT_PDR_B0_BIT) & ~PORT_PDR_B1_BIT);
-			/* ãã«ã¢ããç¡å¹ */
+			/* プルアップ無効 */
 			sil_wrb_mem(PORT2_PCR_ADDR, sil_reb_mem(PORT2_PCR_ADDR) & ~(PORT_PCR_B0_BIT | PORT_PCR_B1_BIT));
 			/* RX CMOS */
@@ -807,33 +785,29 @@
 				(sil_reb_mem(PORT2_ODR0_ADDR) & ~(PORT_ODR_Pm0_MASK | PORT_ODR_Pm1_MASK))
 				| (PORT_ODR_CMOS << PORT_ODR_Pm0_OFFSET) | (PORT_ODR_CMOS << PORT_ODR_Pm1_OFFSET));
-			/* å¨è¾ºæ©è½ã¨ãã¦ä½¿ç¨ */
+			/* 周辺機能として使用 */
 			sil_wrb_mem(PORT2_PMR_ADDR, sil_reb_mem(PORT2_PMR_ADDR) | PORT_PMR_B0_BIT | PORT_PMR_B1_BIT);
 			break;
 		case sciI2C:
-			/* HIGHç¶æ
-ã«è¨­å® */
+			/* HIGH状態に設定 */
 			sil_wrb_mem(PORT2_PODR_ADDR,
 				sil_reb_mem(PORT2_PODR_ADDR) | PORT_PODR_B0_BIT | PORT_PODR_B1_BIT);
-			/* SCL,SDA åºåãã¼ãè¨­å® */
+			/* SCL,SDA 出力ポート設定 */
 			sil_wrb_mem(PORT2_PDR_ADDR, sil_reb_mem(PORT2_PDR_ADDR) | PORT_PDR_B0_BIT | PORT_PDR_B1_BIT);
-			/* ãã«ã¢ããæå¹ */
+			/* プルアップ有効 */
 			sil_wrb_mem(PORT2_PCR_ADDR, sil_reb_mem(PORT2_PCR_ADDR) | PORT_PCR_B0_BIT | PORT_PCR_B1_BIT);
-			/* Nãã£ãã«ãªã¼ãã³ãã¬ã¤ã³ */
+			/* Nチャネルオープンドレイン */
 			sil_wrb_mem(PORT2_ODR0_ADDR,
 				(sil_reb_mem(PORT2_ODR0_ADDR) & ~(PORT_ODR_Pm0_MASK | PORT_ODR_Pm1_MASK))
 				| (PORT_ODR_NCH_OPEN_DRAIN << PORT_ODR_Pm0_OFFSET) | (PORT_ODR_NCH_OPEN_DRAIN << PORT_ODR_Pm1_OFFSET));
-			/* å¨è¾ºæ©è½ã¨ãã¦ä½¿ç¨ */
+			/* 周辺機能として使用 */
 			sil_wrb_mem(PORT2_PMR_ADDR, sil_reb_mem(PORT2_PMR_ADDR) | PORT_PMR_B0_BIT | PORT_PMR_B1_BIT);
 			break;
 		case sciSPIM:
-			/* HIGHç¶æ
-ã«è¨­å® */
+			/* HIGH状態に設定 */
 			sil_wrb_mem(PORT2_PODR_ADDR,
 				sil_reb_mem(PORT2_PODR_ADDR) | PORT_PODR_B0_BIT | PORT_PODR_B1_BIT | PORT_PODR_B2_BIT);
-			/* MOSIåºå/MISOå
-¥å/SCKå
-¥åºåãã¼ãè¨­å® */
+			/* MOSI出力/MISO入力/SCK入出力ポート設定 */
 			sil_wrb_mem(PORT2_PDR_ADDR, (sil_reb_mem(PORT2_PDR_ADDR) | PORT_PDR_B0_BIT | PORT_PDR_B2_BIT) & ~PORT_PDR_B1_BIT);
-			/* ãã«ã¢ããç¡å¹ */
+			/* プルアップ無効 */
 			sil_wrb_mem(PORT2_PCR_ADDR, sil_reb_mem(PORT2_PCR_ADDR) & ~(PORT_PCR_B0_BIT | PORT_PCR_B1_BIT | PORT_PCR_B2_BIT));
 			/* MISO CMOS */
@@ -841,23 +815,23 @@
 				(sil_reb_mem(PORT2_ODR0_ADDR) & ~(PORT_ODR_Pm0_MASK | PORT_ODR_Pm1_MASK | PORT_ODR_Pm2_MASK))
 				| (PORT_ODR_CMOS << PORT_ODR_Pm0_OFFSET) | (PORT_ODR_CMOS << PORT_ODR_Pm1_OFFSET) | (PORT_ODR_CMOS << PORT_ODR_Pm2_OFFSET));
-			/* å¨è¾ºæ©è½ã¨ãã¦ä½¿ç¨ */
+			/* 周辺機能として使用 */
 			sil_wrb_mem(PORT2_PMR_ADDR, sil_reb_mem(PORT2_PMR_ADDR) | PORT_PMR_B0_BIT | PORT_PMR_B1_BIT | PORT_PMR_B2_BIT);
 			break;
 		}
-		/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® PFSWEãããã¸ã®æ¸ãè¾¼ã¿ãè¨±å¯ */
+		/* 書き込みプロテクトレジスタの設定 PFSWEビットへの書き込みを許可 */
 		sil_wrb_mem(MPC_PWPR_ADDR, 0x00);
-		/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® PxxFSã¬ã¸ã¹ã¿ã¸ã®æ¸ãè¾¼ã¿ãè¨±å¯ */
+		/* 書き込みプロテクトレジスタの設定 PxxFSレジスタへの書き込みを許可 */
 		sil_wrb_mem(MPC_PWPR_ADDR, 0x40);
 
-		/* P20ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ TXD0/SMOSI0/SSDA0ã¨ãã */
+		/* P20端子機能制御レジスタ TXD0/SMOSI0/SSDA0とする */
 		sil_wrb_mem(MPC_P20PFS_ADDR, 0x0A);
-		/* P21ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ RXD0/SMISO0/SSCL0ã¨ãã */
+		/* P21端子機能制御レジスタ RXD0/SMISO0/SSCL0とする */
 		sil_wrb_mem(MPC_P21PFS_ADDR, 0x0A);
 		if (mode == sciSPIM) {
-			/* P22ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ SCK0ã¨ãã */
+			/* P22端子機能制御レジスタ SCK0とする */
 			sil_wrb_mem(MPC_P22PFS_ADDR, 0x0A);
 		}
 
-		/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® æ¸ãè¾¼ã¿ãç¦æ­¢ */
+		/* 書き込みプロテクトレジスタの設定 書き込みを禁止 */
 		sil_wrb_mem(MPC_PWPR_ADDR, 0x80);
 		break;
@@ -866,12 +840,10 @@
 		switch (mode) {
 		case sciSerial:
-			/* HIGHç¶æ
-ã«è¨­å® */
+			/* HIGH状態に設定 */
 			sil_wrb_mem(PORT5_PODR_ADDR,
 				sil_reb_mem(PORT5_PODR_ADDR) | PORT_PODR_B0_BIT | PORT_PODR_B2_BIT);
-			/* TXåºå/RXå
-¥åãã¼ãè¨­å® */
+			/* TX出力/RX入力ポート設定 */
 			sil_wrb_mem(PORT5_PDR_ADDR, (sil_reb_mem(PORT5_PDR_ADDR) | PORT_PDR_B0_BIT) & ~PORT_PDR_B2_BIT);
-			/* ãã«ã¢ããç¡å¹ */
+			/* プルアップ無効 */
 			sil_wrb_mem(PORT5_PCR_ADDR, sil_reb_mem(PORT5_PCR_ADDR) & ~(PORT_PCR_B0_BIT | PORT_PCR_B2_BIT));
 			/* RX CMOS */
@@ -879,33 +851,29 @@
 				(sil_reb_mem(PORT5_ODR0_ADDR) & ~(PORT_ODR_Pm0_MASK | PORT_ODR_Pm2_MASK))
 				| (PORT_ODR_CMOS << PORT_ODR_Pm0_OFFSET) | (PORT_ODR_CMOS << PORT_ODR_Pm2_OFFSET));
-			/* å¨è¾ºæ©è½ã¨ãã¦ä½¿ç¨ */
+			/* 周辺機能として使用 */
 			sil_wrb_mem(PORT5_PMR_ADDR, sil_reb_mem(PORT5_PMR_ADDR) | PORT_PMR_B0_BIT | PORT_PMR_B2_BIT);
 			break;
 		case sciI2C:
-			/* HIGHç¶æ
-ã«è¨­å® */
+			/* HIGH状態に設定 */
 			sil_wrb_mem(PORT5_PODR_ADDR,
 				sil_reb_mem(PORT5_PODR_ADDR) | PORT_PODR_B0_BIT | PORT_PODR_B2_BIT);
-			/* SCL,SDA åºåãã¼ãè¨­å® */
+			/* SCL,SDA 出力ポート設定 */
 			sil_wrb_mem(PORT5_PDR_ADDR, sil_reb_mem(PORT5_PDR_ADDR) | PORT_PDR_B0_BIT | PORT_PDR_B2_BIT);
-			/* ãã«ã¢ããæå¹ */
+			/* プルアップ有効 */
 			sil_wrb_mem(PORT5_PCR_ADDR, sil_reb_mem(PORT5_PCR_ADDR) | PORT_PCR_B0_BIT | PORT_PCR_B2_BIT);
-			/* Nãã£ãã«ãªã¼ãã³ãã¬ã¤ã³ */
+			/* Nチャネルオープンドレイン */
 			sil_wrb_mem(PORT5_ODR0_ADDR,
 				(sil_reb_mem(PORT5_ODR0_ADDR) & ~(PORT_ODR_Pm0_MASK | PORT_ODR_Pm2_MASK))
 				| (PORT_ODR_NCH_OPEN_DRAIN << PORT_ODR_Pm0_OFFSET) | (PORT_ODR_NCH_OPEN_DRAIN << PORT_ODR_Pm2_OFFSET));
-			/* å¨è¾ºæ©è½ã¨ãã¦ä½¿ç¨ */
+			/* 周辺機能として使用 */
 			sil_wrb_mem(PORT5_PMR_ADDR, sil_reb_mem(PORT5_PMR_ADDR) | PORT_PMR_B0_BIT | PORT_PMR_B2_BIT);
 			break;
 		case sciSPIM:
-			/* HIGHç¶æ
-ã«è¨­å® */
+			/* HIGH状態に設定 */
 			sil_wrb_mem(PORT5_PODR_ADDR,
 				sil_reb_mem(PORT5_PODR_ADDR) | PORT_PODR_B0_BIT | PORT_PODR_B1_BIT | PORT_PODR_B2_BIT);
-			/* MOSIåºå/MISOå
-¥å/SCKå
-¥åºåãã¼ãè¨­å® */
+			/* MOSI出力/MISO入力/SCK入出力ポート設定 */
 			sil_wrb_mem(PORT5_PDR_ADDR, (sil_reb_mem(PORT5_PDR_ADDR) | PORT_PDR_B0_BIT | PORT_PDR_B1_BIT) & ~PORT_PDR_B2_BIT);
-			/* ãã«ã¢ããç¡å¹ */
+			/* プルアップ無効 */
 			sil_wrb_mem(PORT5_PCR_ADDR, sil_reb_mem(PORT5_PCR_ADDR) & ~(PORT_PCR_B0_BIT | PORT_PCR_B1_BIT | PORT_PCR_B2_BIT));
 			/* MISO CMOS */
@@ -913,23 +881,23 @@
 				(sil_reb_mem(PORT5_ODR0_ADDR) & ~(PORT_ODR_Pm0_MASK | PORT_ODR_Pm1_MASK | PORT_ODR_Pm2_MASK))
 				| (PORT_ODR_CMOS << PORT_ODR_Pm0_OFFSET) | (PORT_ODR_CMOS << PORT_ODR_Pm1_OFFSET) | (PORT_ODR_CMOS << PORT_ODR_Pm2_OFFSET));
-			/* å¨è¾ºæ©è½ã¨ãã¦ä½¿ç¨ */
+			/* 周辺機能として使用 */
 			sil_wrb_mem(PORT5_PMR_ADDR, sil_reb_mem(PORT5_PMR_ADDR) | PORT_PMR_B0_BIT | PORT_PMR_B1_BIT | PORT_PMR_B1_BIT | PORT_PMR_B2_BIT);
 			break;
 		}
-		/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® PFSWEãããã¸ã®æ¸ãè¾¼ã¿ãè¨±å¯ */
+		/* 書き込みプロテクトレジスタの設定 PFSWEビットへの書き込みを許可 */
 		sil_wrb_mem(MPC_PWPR_ADDR, 0x00);
-		/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® PxxFSã¬ã¸ã¹ã¿ã¸ã®æ¸ãè¾¼ã¿ãè¨±å¯ */
+		/* 書き込みプロテクトレジスタの設定 PxxFSレジスタへの書き込みを許可 */
 		sil_wrb_mem(MPC_PWPR_ADDR, 0x40);
 
-		/* P50ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ SSDA2ã¨ãã */
+		/* P50端子機能制御レジスタ SSDA2とする */
 		sil_wrb_mem(MPC_P50PFS_ADDR, 0x0A);
-		/* P52ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ SSCL2ã¨ãã */
+		/* P52端子機能制御レジスタ SSCL2とする */
 		sil_wrb_mem(MPC_P52PFS_ADDR, 0x0A);
 		if (mode == sciSPIM) {
-			/* P51ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ SCK2ã¨ãã */
+			/* P51端子機能制御レジスタ SCK2とする */
 			sil_wrb_mem(MPC_P51PFS_ADDR, 0x0A);
 		}
 
-		/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® æ¸ãè¾¼ã¿ãç¦æ­¢ */
+		/* 書き込みプロテクトレジスタの設定 書き込みを禁止 */
 		sil_wrb_mem(MPC_PWPR_ADDR, 0x80);
 		break;
@@ -938,12 +906,10 @@
 		switch (mode) {
 		case sciSerial:
-			/* HIGHç¶æ
-ã«è¨­å® */
+			/* HIGH状態に設定 */
 			sil_wrb_mem(PORT2_PODR_ADDR,
 				sil_reb_mem(PORT2_PODR_ADDR) | PORT_PODR_B3_BIT | PORT_PODR_B5_BIT);
-			/* TXåºå/RXå
-¥åãã¼ãè¨­å® */
+			/* TX出力/RX入力ポート設定 */
 			sil_wrb_mem(PORT2_PDR_ADDR, (sil_reb_mem(PORT2_PDR_ADDR) | PORT_PDR_B3_BIT) & ~PORT_PDR_B5_BIT);
-			/* ãã«ã¢ããç¡å¹ */
+			/* プルアップ無効 */
 			sil_wrb_mem(PORT2_PCR_ADDR, sil_reb_mem(PORT2_PCR_ADDR) & ~(PORT_PCR_B3_BIT | PORT_PCR_B5_BIT));
 			/* RX CMOS */
@@ -951,33 +917,29 @@
 				(sil_reb_mem(PORT2_ODR0_ADDR) & ~(PORT_ODR_Pm3_MASK | PORT_ODR_Pm5_MASK))
 				| (PORT_ODR_CMOS << PORT_ODR_Pm3_OFFSET) | (PORT_ODR_CMOS << PORT_ODR_Pm5_OFFSET));
-			/* å¨è¾ºæ©è½ã¨ãã¦ä½¿ç¨ */
+			/* 周辺機能として使用 */
 			sil_wrb_mem(PORT2_PMR_ADDR, sil_reb_mem(PORT2_PMR_ADDR) | PORT_PMR_B3_BIT | PORT_PMR_B5_BIT);
 			break;
 		case sciI2C:
-			/* HIGHç¶æ
-ã«è¨­å® */
+			/* HIGH状態に設定 */
 			sil_wrb_mem(PORT2_PODR_ADDR,
 				sil_reb_mem(PORT2_PODR_ADDR) | PORT_PODR_B3_BIT | PORT_PODR_B5_BIT);
-			/* SCL,SDA åºåãã¼ãè¨­å® */
+			/* SCL,SDA 出力ポート設定 */
 			sil_wrb_mem(PORT2_PDR_ADDR, sil_reb_mem(PORT2_PDR_ADDR) | PORT_PDR_B3_BIT | PORT_PDR_B5_BIT);
-			/* ãã«ã¢ããæå¹ */
+			/* プルアップ有効 */
 			sil_wrb_mem(PORT2_PCR_ADDR, sil_reb_mem(PORT2_PCR_ADDR) | PORT_PCR_B3_BIT | PORT_PCR_B5_BIT);
-			/* Nãã£ãã«ãªã¼ãã³ãã¬ã¤ã³ */
+			/* Nチャネルオープンドレイン */
 			sil_wrb_mem(PORT2_ODR0_ADDR,
 				(sil_reb_mem(PORT2_ODR0_ADDR) & ~(PORT_ODR_Pm3_MASK | PORT_ODR_Pm5_MASK))
 				| (PORT_ODR_NCH_OPEN_DRAIN << PORT_ODR_Pm3_OFFSET) | (PORT_ODR_NCH_OPEN_DRAIN << PORT_ODR_Pm5_OFFSET));
-			/* å¨è¾ºæ©è½ã¨ãã¦ä½¿ç¨ */
+			/* 周辺機能として使用 */
 			sil_wrb_mem(PORT2_PMR_ADDR, sil_reb_mem(PORT2_PMR_ADDR) | PORT_PMR_B3_BIT | PORT_PMR_B5_BIT);
 			break;
 		case sciSPIM:
-			/* HIGHç¶æ
-ã«è¨­å® */
+			/* HIGH状態に設定 */
 			sil_wrb_mem(PORT2_PODR_ADDR,
 				sil_reb_mem(PORT2_PODR_ADDR) | PORT_PODR_B3_BIT | PORT_PODR_B4_BIT | PORT_PODR_B5_BIT);
-			/* MOSIåºå/MISOå
-¥å/SCKå
-¥åºåãã¼ãè¨­å® */
+			/* MOSI出力/MISO入力/SCK入出力ポート設定 */
 			sil_wrb_mem(PORT2_PDR_ADDR, (sil_reb_mem(PORT2_PDR_ADDR) | PORT_PDR_B3_BIT | PORT_PDR_B4_BIT) & ~PORT_PDR_B5_BIT);
-			/* ãã«ã¢ããç¡å¹ */
+			/* プルアップ無効 */
 			sil_wrb_mem(PORT2_PCR_ADDR, sil_reb_mem(PORT2_PCR_ADDR) & ~(PORT_PCR_B3_BIT | PORT_PCR_B4_BIT | PORT_PCR_B5_BIT));
 			/* MISO CMOS */
@@ -985,23 +947,23 @@
 				(sil_reb_mem(PORT2_ODR0_ADDR) & ~(PORT_ODR_Pm3_MASK | PORT_ODR_Pm4_MASK | PORT_ODR_Pm5_MASK))
 				| (PORT_ODR_CMOS << PORT_ODR_Pm3_OFFSET) | (PORT_ODR_CMOS << PORT_ODR_Pm4_OFFSET) | (PORT_ODR_CMOS << PORT_ODR_Pm5_OFFSET));
-			/* å¨è¾ºæ©è½ã¨ãã¦ä½¿ç¨ */
+			/* 周辺機能として使用 */
 			sil_wrb_mem(PORT2_PMR_ADDR, sil_reb_mem(PORT2_PMR_ADDR) | PORT_PMR_B3_BIT | PORT_PMR_B4_BIT | PORT_PMR_B4_BIT | PORT_PMR_B5_BIT);
 			break;
 		}
-		/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® PFSWEãããã¸ã®æ¸ãè¾¼ã¿ãè¨±å¯ */
+		/* 書き込みプロテクトレジスタの設定 PFSWEビットへの書き込みを許可 */
 		sil_wrb_mem(MPC_PWPR_ADDR, 0x00);
-		/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® PxxFSã¬ã¸ã¹ã¿ã¸ã®æ¸ãè¾¼ã¿ãè¨±å¯ */
+		/* 書き込みプロテクトレジスタの設定 PxxFSレジスタへの書き込みを許可 */
 		sil_wrb_mem(MPC_PWPR_ADDR, 0x40);
 
-		/* P23ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ SSDA2ã¨ãã */
+		/* P23端子機能制御レジスタ SSDA2とする */
 		sil_wrb_mem(MPC_P23PFS_ADDR, 0x0A);
-		/* P25ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ SSCL2ã¨ãã */
+		/* P25端子機能制御レジスタ SSCL2とする */
 		sil_wrb_mem(MPC_P25PFS_ADDR, 0x0A);
 		if (mode == sciSPIM) {
-			/* P24ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ SCK2ã¨ãã */
+			/* P24端子機能制御レジスタ SCK2とする */
 			sil_wrb_mem(MPC_P24PFS_ADDR, 0x0A);
 		}
 
-		/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® æ¸ãè¾¼ã¿ãç¦æ­¢ */
+		/* 書き込みプロテクトレジスタの設定 書き込みを禁止 */
 		sil_wrb_mem(MPC_PWPR_ADDR, 0x80);
 		break;
@@ -1010,12 +972,10 @@
 		switch (mode) {
 		case sciSerial:
-			/* HIGHç¶æ
-ã«è¨­å® */
+			/* HIGH状態に設定 */
 			sil_wrb_mem(PORT3_PODR_ADDR,
 				sil_reb_mem(PORT3_PODR_ADDR) | PORT_PODR_B2_BIT | PORT_PODR_B3_BIT);
-			/* TXåºå/RXå
-¥åãã¼ãè¨­å® */
+			/* TX出力/RX入力ポート設定 */
 			sil_wrb_mem(PORT3_PDR_ADDR, (sil_reb_mem(PORT3_PDR_ADDR) | PORT_PDR_B2_BIT) & ~PORT_PDR_B3_BIT);
-			/* ãã«ã¢ããç¡å¹ */
+			/* プルアップ無効 */
 			sil_wrb_mem(PORT3_PCR_ADDR, sil_reb_mem(PORT3_PCR_ADDR) & ~(PORT_PCR_B2_BIT | PORT_PCR_B3_BIT));
 			/* RX CMOS */
@@ -1023,33 +983,29 @@
 				(sil_reb_mem(PORT3_ODR0_ADDR) & ~(PORT_ODR_Pm2_MASK | PORT_ODR_Pm3_MASK))
 				| (PORT_ODR_CMOS << PORT_ODR_Pm2_OFFSET) | (PORT_ODR_CMOS << PORT_ODR_Pm3_OFFSET));
-			/* å¨è¾ºæ©è½ã¨ãã¦ä½¿ç¨ */
+			/* 周辺機能として使用 */
 			sil_wrb_mem(PORT3_PMR_ADDR, sil_reb_mem(PORT3_PMR_ADDR) | PORT_PMR_B2_BIT | PORT_PMR_B3_BIT);
 			break;
 		case sciI2C:
-			/* HIGHç¶æ
-ã«è¨­å® */
+			/* HIGH状態に設定 */
 			sil_wrb_mem(PORT3_PODR_ADDR,
 				sil_reb_mem(PORT3_PODR_ADDR) | PORT_PODR_B2_BIT | PORT_PODR_B3_BIT);
-			/* SCL,SDA åºåãã¼ãè¨­å® */
+			/* SCL,SDA 出力ポート設定 */
 			sil_wrb_mem(PORT3_PDR_ADDR, sil_reb_mem(PORT3_PDR_ADDR) | PORT_PDR_B2_BIT | PORT_PDR_B3_BIT);
-			/* ãã«ã¢ããæå¹ */
+			/* プルアップ有効 */
 			sil_wrb_mem(PORT3_PCR_ADDR, sil_reb_mem(PORT3_PCR_ADDR) | PORT_PCR_B2_BIT | PORT_PCR_B3_BIT);
-			/* Nãã£ãã«ãªã¼ãã³ãã¬ã¤ã³ */
+			/* Nチャネルオープンドレイン */
 			sil_wrb_mem(PORT3_ODR0_ADDR,
 				(sil_reb_mem(PORT3_ODR0_ADDR) & ~(PORT_ODR_Pm2_MASK | PORT_ODR_Pm3_MASK))
 				| (PORT_ODR_NCH_OPEN_DRAIN << PORT_ODR_Pm2_OFFSET) | (PORT_ODR_NCH_OPEN_DRAIN << PORT_ODR_Pm3_OFFSET));
-			/* å¨è¾ºæ©è½ã¨ãã¦ä½¿ç¨ */
+			/* 周辺機能として使用 */
 			sil_wrb_mem(PORT3_PMR_ADDR, sil_reb_mem(PORT3_PMR_ADDR) | PORT_PMR_B2_BIT | PORT_PMR_B3_BIT);
 			break;
 		case sciSPIM:
-			/* HIGHç¶æ
-ã«è¨­å® */
+			/* HIGH状態に設定 */
 			sil_wrb_mem(PORT3_PODR_ADDR,
 				sil_reb_mem(PORT3_PODR_ADDR) | PORT_PODR_B2_BIT | PORT_PODR_B3_BIT | PORT_PODR_B4_BIT);
-			/* MOSIåºå/MISOå
-¥å/SCKå
-¥åºåãã¼ãè¨­å® */
+			/* MOSI出力/MISO入力/SCK入出力ポート設定 */
 			sil_wrb_mem(PORT3_PDR_ADDR, (sil_reb_mem(PORT3_PDR_ADDR) | PORT_PDR_B2_BIT | PORT_PDR_B4_BIT) & ~PORT_PDR_B3_BIT);
-			/* ãã«ã¢ããç¡å¹ */
+			/* プルアップ無効 */
 			sil_wrb_mem(PORT3_PCR_ADDR, sil_reb_mem(PORT3_PCR_ADDR) & ~(PORT_PCR_B2_BIT | PORT_PCR_B3_BIT | PORT_PCR_B4_BIT));
 			/* MISO CMOS */
@@ -1057,24 +1013,24 @@
 				(sil_reb_mem(PORT3_ODR0_ADDR) & ~(PORT_ODR_Pm2_MASK | PORT_ODR_Pm3_MASK | PORT_ODR_Pm4_MASK))
 				| (PORT_ODR_CMOS << PORT_ODR_Pm2_OFFSET) | (PORT_ODR_CMOS << PORT_ODR_Pm3_OFFSET) | (PORT_ODR_CMOS << PORT_ODR_Pm4_OFFSET));
-			/* å¨è¾ºæ©è½ã¨ãã¦ä½¿ç¨ */
+			/* 周辺機能として使用 */
 			sil_wrb_mem(PORT3_PMR_ADDR, sil_reb_mem(PORT3_PMR_ADDR) | PORT_PMR_B2_BIT | PORT_PMR_B3_BIT | PORT_PMR_B4_BIT);
 			break;
 		}
 
-		/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® PFSWEãããã¸ã®æ¸ãè¾¼ã¿ãè¨±å¯ */
+		/* 書き込みプロテクトレジスタの設定 PFSWEビットへの書き込みを許可 */
 		sil_wrb_mem(MPC_PWPR_ADDR, 0x00);
-		/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® PxxFSã¬ã¸ã¹ã¿ã¸ã®æ¸ãè¾¼ã¿ãè¨±å¯ */
+		/* 書き込みプロテクトレジスタの設定 PxxFSレジスタへの書き込みを許可 */
 		sil_wrb_mem(MPC_PWPR_ADDR, 0x40);
 
-		/* P32ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ TXD6/SMOSI6/SSDA6ã¨ãã */
+		/* P32端子機能制御レジスタ TXD6/SMOSI6/SSDA6とする */
 		sil_wrb_mem(MPC_P32PFS_ADDR, 0x0A);
-		/* P33ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ RXD6/SMISO6/SSCL6ã¨ãã */
+		/* P33端子機能制御レジスタ RXD6/SMISO6/SSCL6とする */
 		sil_wrb_mem(MPC_P33PFS_ADDR, 0x0A);
 		if (mode == sciSPIM) {
-			/* P34ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ SCK6ã¨ãã */
+			/* P34端子機能制御レジスタ SCK6とする */
 			sil_wrb_mem(MPC_P34PFS_ADDR, 0x0A);
 		}
 
-		/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® æ¸ãè¾¼ã¿ãç¦æ­¢ */
+		/* 書き込みプロテクトレジスタの設定 書き込みを禁止 */
 		sil_wrb_mem(MPC_PWPR_ADDR, 0x80);
 		break;
@@ -1083,12 +1039,10 @@
 		switch (mode) {
 		case sciSerial:
-			/* HIGHç¶æ
-ã«è¨­å® */
+			/* HIGH状態に設定 */
 			sil_wrb_mem(PORTC_PODR_ADDR,
 				sil_reb_mem(PORTC_PODR_ADDR) | PORT_PODR_B6_BIT | PORT_PODR_B7_BIT);
-			/* TXåºå/RXå
-¥åãã¼ãè¨­å® */
+			/* TX出力/RX入力ポート設定 */
 			sil_wrb_mem(PORTC_PDR_ADDR, (sil_reb_mem(PORTC_PDR_ADDR) | PORT_PDR_B6_BIT) & ~PORT_PDR_B7_BIT);
-			/* ãã«ã¢ããç¡å¹ */
+			/* プルアップ無効 */
 			sil_wrb_mem(PORTC_PCR_ADDR, sil_reb_mem(PORTC_PCR_ADDR) & ~(PORT_PCR_B6_BIT | PORT_PCR_B7_BIT));
 			/* RX CMOS */
@@ -1096,33 +1050,29 @@
 				(sil_reb_mem(PORTC_ODR0_ADDR) & ~(PORT_ODR_Pm6_MASK | PORT_ODR_Pm7_MASK))
 				| (PORT_ODR_CMOS << PORT_ODR_Pm6_OFFSET) | (PORT_ODR_CMOS << PORT_ODR_Pm7_OFFSET));
-			/* å¨è¾ºæ©è½ã¨ãã¦ä½¿ç¨ */
+			/* 周辺機能として使用 */
 			sil_wrb_mem(PORTC_PMR_ADDR, sil_reb_mem(PORTC_PMR_ADDR) | PORT_PMR_B6_BIT | PORT_PMR_B7_BIT);
 			break;
 		case sciI2C:
-			/* HIGHç¶æ
-ã«è¨­å® */
+			/* HIGH状態に設定 */
 			sil_wrb_mem(PORTC_PODR_ADDR,
 				sil_reb_mem(PORTC_PODR_ADDR) | PORT_PODR_B6_BIT | PORT_PODR_B7_BIT);
-			/* SCL,SDA åºåãã¼ãè¨­å® */
+			/* SCL,SDA 出力ポート設定 */
 			sil_wrb_mem(PORTC_PDR_ADDR, sil_reb_mem(PORTC_PDR_ADDR) | PORT_PDR_B6_BIT | PORT_PDR_B7_BIT);
-			/* ãã«ã¢ããæå¹ */
+			/* プルアップ有効 */
 			sil_wrb_mem(PORTC_PCR_ADDR, sil_reb_mem(PORTC_PCR_ADDR) | PORT_PCR_B6_BIT | PORT_PCR_B7_BIT);
-			/* Nãã£ãã«ãªã¼ãã³ãã¬ã¤ã³ */
+			/* Nチャネルオープンドレイン */
 			sil_wrb_mem(PORTC_ODR0_ADDR,
 				(sil_reb_mem(PORTC_ODR0_ADDR) & ~(PORT_ODR_Pm6_MASK | PORT_ODR_Pm7_MASK))
 				| (PORT_ODR_NCH_OPEN_DRAIN << PORT_ODR_Pm6_OFFSET) | (PORT_ODR_NCH_OPEN_DRAIN << PORT_ODR_Pm7_OFFSET));
-			/* å¨è¾ºæ©è½ã¨ãã¦ä½¿ç¨ */
+			/* 周辺機能として使用 */
 			sil_wrb_mem(PORTC_PMR_ADDR, sil_reb_mem(PORTC_PMR_ADDR) | PORT_PMR_B6_BIT | PORT_PMR_B7_BIT);
 			break;
 		case sciSPIM:
-			/* HIGHç¶æ
-ã«è¨­å® */
+			/* HIGH状態に設定 */
 			sil_wrb_mem(PORTC_PODR_ADDR,
 				sil_reb_mem(PORTC_PODR_ADDR) | PORT_PODR_B7_BIT | PORT_PODR_B6_BIT | PORT_PODR_B5_BIT);
-			/* MOSIåºå/MISOå
-¥å/SCKå
-¥åºåãã¼ãè¨­å® */
+			/* MOSI出力/MISO入力/SCK入出力ポート設定 */
 			sil_wrb_mem(PORTC_PDR_ADDR, (sil_reb_mem(PORTC_PDR_ADDR) | PORT_PDR_B5_BIT | PORT_PDR_B7_BIT) & ~PORT_PDR_B6_BIT);
-			/* ãã«ã¢ããç¡å¹ */
+			/* プルアップ無効 */
 			sil_wrb_mem(PORTC_PCR_ADDR, sil_reb_mem(PORTC_PCR_ADDR) & ~(PORT_PCR_B5_BIT | PORT_PCR_B7_BIT | PORT_PCR_B6_BIT));
 			/* MISO CMOS */
@@ -1130,24 +1080,24 @@
 				(sil_reb_mem(PORTC_ODR0_ADDR) & ~(PORT_ODR_Pm5_MASK | PORT_ODR_Pm6_MASK | PORT_ODR_Pm7_MASK))
 				| (PORT_ODR_CMOS << PORT_ODR_Pm5_OFFSET) | (PORT_ODR_CMOS << PORT_ODR_Pm6_OFFSET) | (PORT_ODR_CMOS << PORT_ODR_Pm7_OFFSET));
-			/* å¨è¾ºæ©è½ã¨ãã¦ä½¿ç¨ */
+			/* 周辺機能として使用 */
 			sil_wrb_mem(PORTC_PMR_ADDR, sil_reb_mem(PORTC_PMR_ADDR) | PORT_PMR_B5_BIT | PORT_PMR_B6_BIT | PORT_PMR_B7_BIT);
 			break;
 		}
 
-		/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® PFSWEãããã¸ã®æ¸ãè¾¼ã¿ãè¨±å¯ */
+		/* 書き込みプロテクトレジスタの設定 PFSWEビットへの書き込みを許可 */
 		sil_wrb_mem(MPC_PWPR_ADDR, 0x00);
-		/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® PxxFSã¬ã¸ã¹ã¿ã¸ã®æ¸ãè¾¼ã¿ãè¨±å¯ */
+		/* 書き込みプロテクトレジスタの設定 PxxFSレジスタへの書き込みを許可 */
 		sil_wrb_mem(MPC_PWPR_ADDR, 0x40);
 
-		/* PC7ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ TXD8/SMOSI8/SSDA8ã¨ãã */
+		/* PC7端子機能制御レジスタ TXD8/SMOSI8/SSDA8とする */
 		sil_wrb_mem(MPC_PC7PFS_ADDR, 0x0A);
-		/* PC6ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ RXD8/SMISO8/SSCL8ã¨ãã */
+		/* PC6端子機能制御レジスタ RXD8/SMISO8/SSCL8とする */
 		sil_wrb_mem(MPC_PC6PFS_ADDR, 0x0A);
 		if (mode == sciSPIM) {
-			/* PC5ç«¯å­æ©è½å¶å¾¡ã¬ã¸ã¹ã¿ SCK8ã¨ãã */
+			/* PC5端子機能制御レジスタ SCK8とする */
 			sil_wrb_mem(MPC_PC5PFS_ADDR, 0x0A);
 		}
 
-		/* æ¸ãè¾¼ã¿ãã­ãã¯ãã¬ã¸ã¹ã¿ã®è¨­å® æ¸ãè¾¼ã¿ãç¦æ­¢ */
+		/* 書き込みプロテクトレジスタの設定 書き込みを禁止 */
 		sil_wrb_mem(MPC_PWPR_ADDR, 0x80);
 		break;
@@ -1157,15 +1107,14 @@
 void sci_disable(void *base_address)
 {
-	/* éåä¿¡ç¦æ­¢, SCKnç«¯å­ã¯å
-¥åºåãã¼ãã¨ãã¦ä½¿ç¨ */
+	/* 送受信禁止, SCKn端子は入出力ポートとして使用 */
 	sil_wrb_mem(SCI_SCR(base_address), 0x00U);
 
 	/*
-	 *  ã¢ã¸ã¥ã¼ã«ã¹ãããæ©è½ã®è¨­å®
+	 *  モジュールストップ機能の設定
 	 */
-	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA502);	/* æ¸è¾¼ã¿è¨±å¯ */
+	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA502);	/* 書込み許可 */
 	sil_wrw_mem(SYSTEM_MSTPCRB_ADDR,
 		sil_rew_mem(SYSTEM_MSTPCRB_ADDR) | SCI_MSTPCRB_BIT(base_address));
-	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA500);	/* æ¸è¾¼ã¿ç¦æ­¢ */
+	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA500);	/* 書込み禁止 */
 }
 
@@ -1189,9 +1138,9 @@
 	brr = (brr / 2) + (brr % 2) - 1;
 
-	/* SMRã«éä¿¡ï¼ åä¿¡ãã©ã¼ããããè¨­å® */
-	/* ã¯ã­ãã¯é¸æããã(SMR.CKS[1:0]ããããè¨­å®)ãããä»¥å¤ã®ããããâ0âã«è¨­å® */
+	/* SMRに送信／ 受信フォーマットを設定 */
+	/* クロック選択ビット(SMR.CKS[1:0]ビットを設定)、それ以外のビットを“0”に設定 */
 	sil_wrb_mem(SCI_SMR(base_address), clk);
 
-	/* ãããã¬ã¼ããè¨­å® */
+	/* ビットレートを設定 */
 	sil_wrb_mem(SCI_BRR(base_address), brr);
 }
@@ -1248,12 +1197,12 @@
 	dis_int(obj->tei_intno);
 
-	/* SCIæå¹ */
+	/* SCI有効 */
 	sci_enable(obj->base_address, sciSerial);
 
-	/* SIMR1.IICMããããâ0âã«è¨­å® */
+	/* SIMR1.IICMビットを“0”に設定 */
 	sil_wrb_mem(SCI_SIMR1(obj->base_address),
 		sil_reb_mem(SCI_SIMR1(obj->base_address)) & ~IICM);
 
-	/* SPMR.CKPH, CKPOLããããâ0âã«è¨­å® */
+	/* SPMR.CKPH, CKPOLビットを“0”に設定 */
 	sil_wrb_mem(SCI_SPMR(obj->base_address),
 		sil_reb_mem(SCI_SPMR(obj->base_address)) & ~(CKPH | CKPOL));
@@ -1261,12 +1210,12 @@
 	sci_set_frequency(obj->base_address, /*9600*/115200);
 
-	/* SCMRã¬ã¸ã¹ã¿ã¯SDIRããããâ0âãSINVããããâ0âãSMIFããããâ0âã«è¨­å® */
+	/* SCMRレジスタはSDIRビットを“0”、SINVビットを“0”、SMIFビットを“0”に設定 */
 	sil_wrb_mem(SCI_SCMR(obj->base_address),
 		(sil_reb_mem(SCI_SCMR(obj->base_address)) & ~(SINV | SMIF | SDIR)));
 
-	/* SMRã«éä¿¡ï¼ åä¿¡ãã©ã¼ããããè¨­å® */
+	/* SMRに送信／ 受信フォーマットを設定 */
 	serial_format(obj, 8, ParityNone, 1);
 
-	/* éåä¿¡è¨±å¯ */
+	/* 送受信許可 */
 	sil_wrb_mem(SCI_SCR(obj->base_address),
 		(sil_reb_mem(SCI_SCR(obj->base_address)) | RE | TE));
@@ -1281,5 +1230,5 @@
 	dis_int(obj->tei_intno);
 
-	/* SCIç¡å¹ */
+	/* SCI無効 */
 	sci_disable(obj->base_address);
 
@@ -1291,11 +1240,10 @@
 	uint8_t scr = sil_reb_mem(SCI_SCR(obj->base_address));
 
-	/* éåä¿¡ç¦æ­¢, SCKnç«¯å­ã¯å
-¥åºåãã¼ãã¨ãã¦ä½¿ç¨ */
+	/* 送受信禁止, SCKn端子は入出力ポートとして使用 */
 	sil_wrb_mem(SCI_SCR(obj->base_address), 0x00U);
 
 	sci_set_frequency(obj->base_address, baudrate);
 
-	/* éåä¿¡è¨±å¯ */
+	/* 送受信許可 */
 	sil_wrb_mem(SCI_SCR(obj->base_address), scr);
 }
@@ -1349,29 +1297,29 @@
 
 	for (;;) {
-		/* SSR.ORER, PER, FERãã©ã°ããªã¼ã */
+		/* SSR.ORER, PER, FERフラグをリード */
 		ssr = sil_reb_mem(SCI_SSR(obj->base_address));
 
-		/* åä¿¡ã¨ã©ã¼ãçºçããã¨ã */
+		/* 受信エラーが発生したとき */
 		if ((ssr & (ORER | PER | FER)) != 0) {
-			/* ãªã¼ãã©ã³ã¨ã©ã¼ */
+			/* オーバランエラー */
 			if ((ssr & ORER) != 0) {
-				/* RDRã¬ã¸ã¹ã¿ããªã¼ã */
+				/* RDRレジスタをリード */
 				c = (int)sil_reb_mem(SCI_RDR(obj->base_address));
 			}
-			/* ãã¬ã¼ãã³ã°ã¨ã©ã¼ */
+			/* フレーミングエラー */
 			if ((ssr & FER) != 0) {
 			}
-			/* ããªãã£ã¨ã©ã¼ */
+			/* パリティエラー */
 			if ((ssr & PER) != 0) {
 			}
 		}
 
-		/* SSR.ORER, PER, FERãã©ã°ãâ0âã«è¨­å® */
+		/* SSR.ORER, PER, FERフラグを“0”に設定 */
 		sil_wrb_mem(SCI_SSR(obj->base_address), ssr & ~(ORER | PER | FER));
 
-		/* SSR.ORER, PER, FERãã©ã°ããªã¼ã */
+		/* SSR.ORER, PER, FERフラグをリード */
 		ssr = sil_reb_mem(SCI_SSR(obj->base_address));
 
-		/* RXIå²ãè¾¼ã¿ */
+		/* RXI割り込み */
 		if (serial_readable(obj)) {
 			clear_int(obj->rxi_intno);
@@ -1382,5 +1330,5 @@
 	}
 
-	/* RDRã¬ã¸ã¹ã¿ããªã¼ã */
+	/* RDRレジスタをリード */
 	c = (int)sil_reb_mem(SCI_RDR(obj->base_address));
 
@@ -1478,34 +1426,33 @@
 	}
 
-	/* SCIæå¹ */
+	/* SCI有効 */
 	sci_enable(obj->base_address, sciI2C);
 
-	/* SIMR3.IICSDAS[1:0](b5-b4), IICSCLS[1:0](b7-b6)ããããâ11bâã«è¨­å® */
+	/* SIMR3.IICSDAS[1:0](b5-b4), IICSCLS[1:0](b7-b6)ビットを“11b”に設定 */
 	sil_wrb_mem(SCI_SIMR3(obj->base_address), 0xF0U);
 
 	sci_set_frequency(obj->base_address, 100000);
 
-	/* SCMRã¬ã¸ã¹ã¿ã¯SDIRããããâ1âãSINVããããâ0âãSMIFããããâ0âã«è¨­å® */
+	/* SCMRレジスタはSDIRビットを“1”、SINVビットを“0”、SMIFビットを“0”に設定 */
 	sil_wrb_mem(SCI_SCMR(obj->base_address),
 		(sil_reb_mem(SCI_SCMR(obj->base_address)) & ~(SINV | SMIF)) | SDIR);
 
-	/* SEMRãSNFRãSIMR1ãSIMR2ãSPMRã¬ã¸ã¹ã¿ã«å¤ãè¨­å® */
-	/* SEMRã¬ã¸ã¹ã¿ã¯ãNFENããããè¨­å® */
+	/* SEMR、SNFR、SIMR1、SIMR2、SPMRレジスタに値を設定 */
+	/* SEMRレジスタは、NFENビットを設定 */
 	sil_wrb_mem(SCI_SEMR(obj->base_address), NFEN);
 
-	/* SNFRã¬ã¸ã¹ã¿ã¯ãNFCS[2:0]ããããè¨­å®*/
+	/* SNFRレジスタは、NFCS[2:0]ビットを設定*/
 	sil_wrb_mem(SCI_SNFR(obj->base_address), 1);
 
-	/* SIMR1ã¬ã¸ã¹ã¿ã¯ãIICMããããâ1âã«è¨­å®ããIICDL[4:0]ã	ãããè¨­å® */
+	/* SIMR1レジスタは、IICMビットを“1”に設定し、IICDL[4:0]ビ	ットを設定 */
 	sil_wrb_mem(SCI_SIMR1(obj->base_address), IICM | (3 << 3));
 
-	/* SIMR2ã¬ã¸ã¹ã¿ã¯ãIICACKTãIICCSCããããâ1âã«è¨­å®ããIICINTMããããè¨­å® */
+	/* SIMR2レジスタは、IICACKT、IICCSCビットを“1”に設定し、IICINTMビットを設定 */
 	sil_wrb_mem(SCI_SIMR2(obj->base_address), IICACKT | IICCSC | IICINTM);
 
-	/* SPMRã¬ã¸ã¹ã¿ã¯ãå
-¨ãããâ0âã«è¨­å® */
+	/* SPMRレジスタは、全ビット“0”に設定 */
 	sil_wrb_mem(SCI_SPMR(obj->base_address), 0);
 
-	/* éåä¿¡è¨±å¯ */
+	/* 送受信許可 */
 	sil_wrb_mem(SCI_SCR(obj->base_address),
 		(sil_reb_mem(SCI_SCR(obj->base_address)) | RE | TE));
@@ -1516,11 +1463,10 @@
 	uint8_t scr = sil_reb_mem(SCI_SCR(obj->base_address));
 
-	/* éåä¿¡ç¦æ­¢, SCKnç«¯å­ã¯å
-¥åºåãã¼ãã¨ãã¦ä½¿ç¨ */
+	/* 送受信禁止, SCKn端子は入出力ポートとして使用 */
 	sil_wrb_mem(SCI_SCR(obj->base_address), 0x00U);
 
 	sci_set_frequency(obj->base_address, hz);
 
-	/* éåä¿¡è¨±å¯ */
+	/* 送受信許可 */
 	sil_wrb_mem(SCI_SCR(obj->base_address), scr);
 }
@@ -1531,6 +1477,6 @@
 		return 0;
 
-	/* SIMR3.IICSTAREQããããâ1âã«è¨­å®ããã¨åæã«ã
-	 * SIMR3.IICSCLS[1:0],IICSDAS[1:0]ããããâ01bâã«è¨­å® */
+	/* SIMR3.IICSTAREQビットを“1”に設定すると同時に、
+	 * SIMR3.IICSCLS[1:0],IICSDAS[1:0]ビットを“01b”に設定 */
 	sil_wrb_mem(SCI_SIMR3(obj->base_address), IICSTAREQ | (1 << 4) | (1 << 6));
 
@@ -1553,6 +1499,6 @@
 		return 0;
 
-	/* SIMR3.IICSTPREQããããâ1âã«è¨­å®ããã¨åæã«ã
-	 * SIMR3.IICSCLS[1:0],IICSDAS[1:0]ããããâ01bâã«è¨­å® */
+	/* SIMR3.IICSTPREQビットを“1”に設定すると同時に、
+	 * SIMR3.IICSCLS[1:0],IICSDAS[1:0]ビットを“01b”に設定 */
 	sil_wrb_mem(SCI_SIMR3(obj->base_address), IICSTPREQ | (1 << 4) | (1 << 6));
 
@@ -1565,58 +1511,58 @@
 		return 0;
 
-	/* éä¿¡å²ãè¾¼ã¿è¦æ±ãç¦æ­¢ */
+	/* 送信割り込み要求を禁止 */
 	sil_wrb_mem(SCI_SCR(obj->base_address),
 		(sil_reb_mem(SCI_SCR(obj->base_address)) & ~(RIE)) | TEIE | TIE);
 
-	/* éå§æ¡ä»¶ã®çæ */
+	/* 開始条件の生成 */
 	i2c_start(obj);
 
-	/* STI(TEI)å²ãè¾¼ã¿çºçç¢ºèª */
+	/* STI(TEI)割り込み発生確認 */
 	while (!probe_int(obj->tei_intno))
 		dly_tsk(2);
 	clear_int(obj->tei_intno);
 
-	/* SIMR3.IICSTIFãã©ã°ãâ0âã«è¨­å®ãã */
+	/* SIMR3.IICSTIFフラグを“0”に設定し、 */
 	sil_wrb_mem(SCI_SIMR3(obj->base_address),
 		sil_reb_mem(SCI_SIMR3(obj->base_address)) & ~IICSTIF);
-	/* SIMR3.IICSCLS[1:0], IICSDAS[1:0]ããããâ00bâã«è¨­å® */
+	/* SIMR3.IICSCLS[1:0], IICSDAS[1:0]ビットを“00b”に設定 */
 	sil_wrb_mem(SCI_SIMR3(obj->base_address),
 		sil_reb_mem(SCI_SIMR3(obj->base_address)) & ~((3 << 4) | (3 << 6)));
 
-	/* TDRã¬ã¸ã¹ã¿ã«ã¹ã¬ã¼ãã¢ãã¬ã¹ãR/Wããããã©ã¤ã */
+	/* TDRレジスタにスレーブアドレス、R/Wビットをライト */
 	sil_wrb_mem(SCI_TDR(obj->base_address), address | 1);
 
-	/* TXIå²ãè¾¼ã¿çºçç¢ºèª */
+	/* TXI割り込み発生確認 */
 	while (!probe_int(obj->txi_intno))
 		dly_tsk(10);
 	clear_int(obj->txi_intno);
 
-	/* ã¹ã¬ã¼ãããã¤ã¹ããã®ACKãç¢ºèª */
+	/* スレーブデバイスからのACKを確認 */
 	if ((sil_reb_mem(SCI_SISR(obj->base_address)) & IICACKR) == 0) {
-		/* SIMR2.IICACKTããããâ0âã«è¨­å® */
+		/* SIMR2.IICACKTビットを“0”に設定 */
 		sil_wrb_mem(SCI_SIMR2(obj->base_address), sil_reb_mem(SCI_SIMR2(obj->base_address)) & ~IICACKT);
-		/* SCR.RIEããããâ1âã«è¨­å® */
+		/* SCR.RIEビットを“1”に設定 */
 		sil_wrb_mem(SCI_SCR(obj->base_address), sil_reb_mem(SCI_SCR(obj->base_address)) | RIE);
 
 		for (int i = 0; i < length; i++) {
-			/* æ¬¡ãã¼ã¿ãæçµ */
+			/* 次データが最終 */
 			if (i == length - 1) {
-				/* SIMR2.IICACKTããããâ1âã«è¨­å® */
+				/* SIMR2.IICACKTビットを“1”に設定 */
 				sil_wrb_mem(SCI_SIMR2(obj->base_address), sil_reb_mem(SCI_SIMR2(obj->base_address)) | IICACKT);
 			}
 
-			/* TDRã¬ã¸ã¹ã¿ã«ããã¼ãã¼ã¿âFFhâãã©ã¤ã */
+			/* TDRレジスタにダミーデータ“FFh”をライト */
 			sil_wrb_mem(SCI_TDR(obj->base_address), 0xFF);
 
-			/* RXIå²ãè¾¼ã¿çºçç¢ºèª */
+			/* RXI割り込み発生確認 */
 			while (!probe_int(obj->rxi_intno))
 				dly_tsk(10);
 			clear_int(obj->rxi_intno);
 
-			/* RDRã¬ã¸ã¹ã¿ã®åä¿¡ãã¼ã¿ããªã¼ã */
+			/* RDRレジスタの受信データをリード */
 			*data = sil_reb_mem(SCI_RDR(obj->base_address));
 			data++;
 
-			/* TXIå²ãè¾¼ã¿çºçç¢ºèª */
+			/* TXI割り込み発生確認 */
 			while (!probe_int(obj->txi_intno))
 				dly_tsk(10);
@@ -1626,16 +1572,16 @@
 
 	if (stop) {
-		/* åæ­¢æ¡ä»¶ã®çæ */
+		/* 停止条件の生成 */
 		i2c_stop(obj);
 
-		/* STI(TEI)å²ãè¾¼ã¿çºçç¢ºèª */
+		/* STI(TEI)割り込み発生確認 */
 		while (!probe_int(obj->tei_intno))
 			dly_tsk(2);
 		clear_int(obj->tei_intno);
 
-		/* SIMR3.IICSTIFãã©ã°ãâ0âã«è¨­å®ãã*/
+		/* SIMR3.IICSTIFフラグを“0”に設定し、*/
 		sil_wrb_mem(SCI_SIMR3(obj->base_address),
 			sil_reb_mem(SCI_SIMR3(obj->base_address)) & ~IICSTIF);
-		/* SIMR3.IICSCLS[1:0], IICSDAS[1:0]ããããâ11bâã«è¨­å® */
+		/* SIMR3.IICSCLS[1:0], IICSDAS[1:0]ビットを“11b”に設定 */
 		sil_wrb_mem(SCI_SIMR3(obj->base_address),
 			sil_reb_mem(SCI_SIMR3(obj->base_address)) | ((3 << 4) | (3 << 6)));
@@ -1650,40 +1596,40 @@
 		return 0;
 
-	/* åä¿¡å²ãè¾¼ã¿è¦æ±ãç¦æ­¢ */
+	/* 受信割り込み要求を禁止 */
 	sil_wrb_mem(SCI_SCR(obj->base_address),
 		(sil_reb_mem(SCI_SCR(obj->base_address)) & ~(RIE)) | TEIE | TIE);
 
-	/* éå§æ¡ä»¶ã®çæ */
+	/* 開始条件の生成 */
 	i2c_start(obj);
 
-	/* STI(TEI)å²ãè¾¼ã¿çºçç¢ºèª */
+	/* STI(TEI)割り込み発生確認 */
 	while (!probe_int(obj->tei_intno))
 		dly_tsk(2);
 	clear_int(obj->tei_intno);
 
-	/* SIMR3.IICSTIFãã©ã°ãâ0âã«è¨­å®ãã */
+	/* SIMR3.IICSTIFフラグを“0”に設定し、 */
 	sil_wrb_mem(SCI_SIMR3(obj->base_address),
 		sil_reb_mem(SCI_SIMR3(obj->base_address)) & ~IICSTIF);
-	/* SIMR3.IICSCLS[1:0], IICSDAS[1:0]ããããâ00bâã«è¨­å® */
+	/* SIMR3.IICSCLS[1:0], IICSDAS[1:0]ビットを“00b”に設定 */
 	sil_wrb_mem(SCI_SIMR3(obj->base_address),
 		sil_reb_mem(SCI_SIMR3(obj->base_address)) & ~((3 << 4) | (3 << 6)));
 
-	/* TDRã¬ã¸ã¹ã¿ã«ã¹ã¬ã¼ãã¢ãã¬ã¹ãR/Wããããã©ã¤ã */
+	/* TDRレジスタにスレーブアドレス、R/Wビットをライト */
 	sil_wrb_mem(SCI_TDR(obj->base_address), address);
 
-	/* TXIå²ãè¾¼ã¿çºçç¢ºèª */
+	/* TXI割り込み発生確認 */
 	while (!probe_int(obj->txi_intno))
 		dly_tsk(10);
 	clear_int(obj->txi_intno);
 
-	/* ã¹ã¬ã¼ãããã¤ã¹ããã®ACKãç¢ºèª */
+	/* スレーブデバイスからのACKを確認 */
 	if ((sil_reb_mem(SCI_SISR(obj->base_address)) & IICACKR) == 0) {
 
 		for (int i = 0; i < length; i++) {
-			/* TDRã¬ã¸ã¹ã¿ã«ã¹ã¬ã¼ãã¢ãã¬ã¹ãR/Wããããã©ã¤ã */
+			/* TDRレジスタにスレーブアドレス、R/Wビットをライト */
 			sil_wrb_mem(SCI_TDR(obj->base_address), *data);
 			data++;
 
-			/* TXIå²ãè¾¼ã¿çºçç¢ºèª */
+			/* TXI割り込み発生確認 */
 			while (!probe_int(obj->txi_intno))
 				dly_tsk(10);
@@ -1693,16 +1639,16 @@
 
 	if (stop) {
-		/* åæ­¢æ¡ä»¶ã®çæ */
+		/* 停止条件の生成 */
 		i2c_stop(obj);
 
-		/* STI(TEI)å²ãè¾¼ã¿çºçç¢ºèª */
+		/* STI(TEI)割り込み発生確認 */
 		while (!probe_int(obj->tei_intno))
 			dly_tsk(2);
 		clear_int(obj->tei_intno);
 
-		/* SIMR3.IICSTIFãã©ã°ãâ0âã«è¨­å®ãã*/
+		/* SIMR3.IICSTIFフラグを“0”に設定し、*/
 		sil_wrb_mem(SCI_SIMR3(obj->base_address),
 			sil_reb_mem(SCI_SIMR3(obj->base_address)) & ~IICSTIF);
-		/* SIMR3.IICSCLS[1:0], IICSDAS[1:0]ããããâ11bâã«è¨­å® */
+		/* SIMR3.IICSCLS[1:0], IICSDAS[1:0]ビットを“11b”に設定 */
 		sil_wrb_mem(SCI_SIMR3(obj->base_address),
 			sil_reb_mem(SCI_SIMR3(obj->base_address)) | ((3 << 4) | (3 << 6)));
@@ -1747,31 +1693,31 @@
 	}
 
-	/* SCIæå¹ */
+	/* SCI有効 */
 	sci_enable(obj->base_address, (ssel != NC) ? sciSPIS : sciSPIM);
 
-	/* SIMR1.IICMããããâ0âã«è¨­å® */
+	/* SIMR1.IICMビットを“0”に設定 */
 	sil_wrb_mem(SCI_SIMR1(obj->base_address),
 		sil_reb_mem(SCI_SIMR1(obj->base_address)) & ~IICM);
 
 	if (ssel == NC) {
-		/* SPMR.SSE, CTSE, MSS, MFF, CKPH, CKPOLããããâ0âã«è¨­å® */
+		/* SPMR.SSE, CTSE, MSS, MFF, CKPH, CKPOLビットを“0”に設定 */
 		sil_wrb_mem(SCI_SPMR(obj->base_address), 0);
 	}
 	else {
-		/* SPMR, CTSE, MSS, MFF, CKPH, CKPOLããããâ0âã«è¨­å® */
-		/* SPMR.SSEããããâ1âã«è¨­å® */
+		/* SPMR, CTSE, MSS, MFF, CKPH, CKPOLビットを“0”に設定 */
+		/* SPMR.SSEビットを“1”に設定 */
 		sil_wrb_mem(SCI_SPMR(obj->base_address), SSE);
 	}
 
-	/* SCMRã¬ã¸ã¹ã¿ã¯SDIRããããâ0âãSINVããããâ0âãSMIFããããâ0âã«è¨­å® */
+	/* SCMRレジスタはSDIRビットを“0”、SINVビットを“0”、SMIFビットを“0”に設定 */
 	sil_wrb_mem(SCI_SCMR(obj->base_address),
 		(sil_reb_mem(SCI_SCMR(obj->base_address)) & ~(SMIF | SDIR)) | SINV);
 
-	/* SMRã«éä¿¡ï¼ åä¿¡ãã©ã¼ããããã¯ã­ãã¯åæå¼ã¢ã¼ãã§åä½ã§è¨­å® */
+	/* SMRに送信／ 受信フォーマットをクロック同期式モードで動作で設定 */
 	sil_wrb_mem(SCI_SMR(obj->base_address), CM);
 
 	sci_set_frequency(obj->base_address, 1000000);
 
-	/* éåä¿¡è¨±å¯ */
+	/* 送受信許可 */
 	sil_wrb_mem(SCI_SCR(obj->base_address),
 		(sil_reb_mem(SCI_SCR(obj->base_address)) | RE | TE));
@@ -1780,5 +1726,5 @@
 void spi_free(spi_t *obj)
 {
-	/* SCIç¡å¹ */
+	/* SCI無効 */
 	sci_disable(obj->base_address);
 
@@ -1796,11 +1742,10 @@
 	}
 
-	/* éåä¿¡ç¦æ­¢, SCKnç«¯å­ã¯å
-¥åºåãã¼ãã¨ãã¦ä½¿ç¨ */
+	/* 送受信禁止, SCKn端子は入出力ポートとして使用 */
 	sil_wrb_mem(SCI_SCR(obj->base_address), 0x00U);
 
 	spmr = sil_reb_mem(SCI_SPMR(obj->base_address));
 
-	/* ã¯ã­ãã¯æ¥µæ§åè»¢ãã/ãªã */
+	/* クロック極性反転あり/なし */
 	if (polarity)
 		spmr |= CKPOL;
@@ -1808,5 +1753,5 @@
 		spmr &= ~CKPOL;
 
-	/* ã¯ã­ãã¯ä½ç¸åè»¢ãã/ãªã */
+	/* クロック位相反転あり/なし */
 	if (phase)
 		spmr |= CKPH;
@@ -1815,22 +1760,21 @@
 
 	if (slave) {
-		/* SCKnç«¯å­ã¯ã¯ã­ãã¯å
-¥åã¨ãã¦ä½¿ç¨ */
+		/* SCKn端子はクロック入力として使用 */
 		sil_wrb_mem(SCI_SCR(obj->base_address), 
 			(sil_reb_mem(SCI_SCR(obj->base_address)) & ~CKE) | 2);
 
-		/* SPMR.MSSããããâ1âã«è¨­å® */
+		/* SPMR.MSSビットを“1”に設定 */
 		sil_wrb_mem(SCI_SPMR(obj->base_address), spmr | MSS);
 	}
 	else {
-		/* SCKnç«¯å­ã¯ã¯ã­ãã¯åºåã¨ãã¦ä½¿ç¨ */
+		/* SCKn端子はクロック出力として使用 */
 		sil_wrb_mem(SCI_SCR(obj->base_address),
 			sil_reb_mem(SCI_SCR(obj->base_address)) & ~CKE);
 
-		/* SPMR.MSSããããâ0âã«è¨­å® */
+		/* SPMR.MSSビットを“0”に設定 */
 		sil_wrb_mem(SCI_SPMR(obj->base_address), spmr & ~MSS);
 	}
 
-	/* éåä¿¡è¨±å¯ */
+	/* 送受信許可 */
 	sil_wrb_mem(SCI_SCR(obj->base_address),
 		(sil_reb_mem(SCI_SCR(obj->base_address)) | RE | TE));
@@ -1841,11 +1785,10 @@
 	uint8_t scr = sil_reb_mem(SCI_SCR(obj->base_address));
 
-	/* éåä¿¡ç¦æ­¢, SCKnç«¯å­ã¯å
-¥åºåãã¼ãã¨ãã¦ä½¿ç¨ */
+	/* 送受信禁止, SCKn端子は入出力ポートとして使用 */
 	sil_wrb_mem(SCI_SCR(obj->base_address), 0x00U);
 
 	sci_set_frequency(obj->base_address, hz);
 
-	/* éåä¿¡è¨±å¯ */
+	/* 送受信許可 */
 	sil_wrb_mem(SCI_SCR(obj->base_address), scr);
 }
@@ -1853,9 +1796,9 @@
 int spi_master_write(spi_t *obj, int value)
 {
-	/* TXIå²ãè¾¼ã¿çºçç¢ºèª */
+	/* TXI割り込み発生確認 */
 	while (!probe_int(obj->txi_intno))
 		;
 
-	/* éä¿¡ãã¼ã¿ãã©ã¤ã */
+	/* 送信データをライト */
 	sil_wrb_mem(SCI_TDR(obj->base_address), (char)value);
 
@@ -1868,8 +1811,8 @@
 		}
 	}
-	/* RXIå²ãè¾¼ã¿çºçç¢ºèª */
+	/* RXI割り込み発生確認 */
 	while (!probe_int(obj->rxi_intno));
 
-	/* åä¿¡ãã¼ã¿ããªã¼ã */
+	/* 受信データをリード */
 	return sil_reb_mem(SCI_RDR(obj->base_address));
 }
